:root {
    --margin-inline: 10px;
    --pc-margin-inline: 240px;
}
.product-images {
    position: relative;
}


.image-gallery .small-image {
    padding: 10px;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 25%;
}

.image-gallery .small-image .small-image-item {
    background-color: #d9d9d980;
    box-shadow: 0 0 #0000, 0 0 #0000, 0 4px 6px -1px rgba(0, 0, 0, 0.1), 0 2px 4px -2px rgba(0, 0, 0, 0.1);
    border-radius: .375rem;
    overflow: hidden;
    cursor: pointer;
}

.image-gallery .small-image .small-image-item img{
    object-fit: cover;
    opacity: 0.5;
}

.image-gallery .small-image .small-image-item.active img{
    opacity: 1;
}

.product-detail-header {
    position: relative;
}

.product-detail-header .stock-status {
    position: absolute;
    right: var(--margin-inline);
    top: 0;
    padding: 5px 10px;
    border-top-left-radius: 6px;
    border-bottom-right-radius: 6px;
    font-size: 12px;
}

.product-detail-header .stock-status.in-stock {
    background-color: #ecfdf5;
    color: #028166;
}

.product-detail-header .stock-status.out-of-stock {
    background-color: #fef2f2;
    color: #b91c1c;
}

.product-detail-header .stock-status.stop-selling {
    background-color: #fef2f2;
    color: #b91c1c;
}

.product-detail-header .button-group {
    position: absolute;
    display: flex;
    flex-direction: column;
    gap: 50px;
    top: 50%;
    right: var(--margin-inline);
    transform: translateY(-50%);
    width: 12%;
}

.product-detail-header .button-group .navigate-button {
    background-color: #e0e0e0;
    border-radius: 50%;
    cursor: pointer;
    padding: 10px;
}

.product-detail-header .button-group .navigate-button img {
    opacity: 0.5;
}

.product-name {
    font-size: 20px;
    font-weight: 500;
    margin-inline: var(--margin-inline);
}

.product-prices {
    display: flex;
    gap: 10px;
    margin: 20px var(--margin-inline);
    margin-bottom: 0;
    justify-content: space-around;
}

.product-prices .label {
    text-transform: uppercase;
    font-size: 20px;
    font-weight: 300;
}

.product-prices .value {
    font-size: 25px;
    font-weight: 700;
    font-family: Inter, sans-serif;
}

.product-prices .price-out .value {
    color: #028166;
}
.product-prices .price-in .value {
    color: #C42028;
}

.how-to-buy {
    background-color: #ececec;
    margin: 0 5px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: center;
    justify-content: space-around;
    height: 115px;
}

.how-to-buy > * {
    text-align: center;
    font-size: 18px;
}

.product-description {
    margin: 20px 0;
    display: flex;
    flex-wrap: wrap;
}

.product-description-item {
    flex-basis: 50%;
    font-size: 16px;
    margin-bottom: 10px;
    text-transform: uppercase;
    padding-inline: 5px;
}

.product-policies {
    margin: 20px 0;
    display: flex;
    flex-wrap: wrap;
    
}

.separator {
    width: 100%;
    height: 1px;
    background-color: #00000033;
    margin-top: 20px;
    margin-inline: var(--margin-inline);
}

.product-policy-item {
    flex-basis: 50%;
    font-size: 12px;
    margin-bottom: 10px;
    text-transform: uppercase;
    padding-inline: 5px;
    display: flex;
    gap: 5px;
    align-items: center;
}


.product-detail-headers {
    display: flex;
    gap: 20px;
    margin: 20px var(--margin-inline);
    font-size: 24px;
    position: relative;
}
.product-detail-headers .tab-rule {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 1px;
    height: 2px;
    background-color: #1a2745;
    transform-origin: 0 50%;
    transform: scaleX(1);
    transition: transform 0.3s ease;
}

.product-detail-headers .tab-navigator {
    cursor: pointer;
    padding-bottom: 5px;
    color: #828282;
}

.product-detail-headers .tab-navigator.active {
    color: #1a2745;
}

.product-detail .tab-content:nth-child(n+3) {
    display: none;
}

.product-detail .tab-content {
    margin: 0 var(--margin-inline);
    min-height: 420px;
    font-size: 14px;
    font-family: Inter, sans-serif;
    text-align: justify;
}

.slider-wrapper {
    position: relative;
}

.slider-container {
    display: flex;
    gap: 10px;
    position: absolute;
    top: 0;
    left: 0;
    transition: left 300ms ease;
}

.slider {
    display: none;
}

.similar-product {
    margin: 0 var(--margin-inline);
    position: relative;
}

.arrow-button {
    color: #828282;
    position: absolute;
    top: 50%;
    transform: translate(-50%);
    border-radius: 50%;
    user-select: none;
}

.btn-slider-left {
    display: none;
    left: 30px;
}
.btn-slider-right {
    display: none;
    right: -10px
}

.product-card-wrapper {
    width: 230px;
}

.similar-product-title {
    text-transform: uppercase;
    font-size: 18px;
    font-weight: 500;
    margin: 0 var(--margin-inline);
}

.retail-container .retail-headline {
    font-size: 18px;
    line-height: 18px;
}

.retail-container .retail-link {
    font-size: 14px;
}

.product-bar {
    display: none;
}

@media (min-width: 768px) {
    .product-title-outer,
    .slider-wrapper {
        margin-left: 60px;
        margin-right: 60px;
    }

    .product-card-wrapper {
        width: 424.5px;;
    }

    .product-card {
        min-height: 515px;
    }

    .slider {
        display: block;
    }

    .about-company {
        display: block;
    }

    .category .item .img {
        width: 100%;
        max-width: 460px;
    }

    .btn-slider-left {
        display: block;
    }
    .btn-slider-right {
        display: block;
    }

    .bottom-chart-zone {
        display: block;
    }

    .image-gallery {
        display: flex;
    }

    .image-gallery .small-image {
        position: static;
        flex-basis: 181px;
    }

    .product-header-outer {
        --half-gap: 10px;
        display: flex;
        gap: calc(var(--half-gap) * 2);
        flex-wrap: wrap;
    }

    .product-header-outer .product-detail-header, .product-header-outer .product-right-info {
        flex-basis: calc(50% - var(--half-gap));
    }

    .separator {
        margin-inline: 42px;
    }
}

@media (min-width: 1280px) {
    .product-card-wrapper .product-name {
        font-size: 20px;
    }

    .slider-container {
        gap: 29px;
    }

    .product-detail .tab-content {
        min-height: 224px;
    }

    .product-header-outer {
        --half-gap: 60px;
    }

    .breadcrums,
    .product-header-outer,
    .product-detail,
    .similar-product-title {
        margin-inline: var(--pc-margin-inline);
    } 

    .similar-product {
    margin-inline: calc(var(--pc-margin-inline) - 60px);
    }

    .hotline {
        display: none;
    }

    .product-name {
        font-size: 32px;
    }

    .product-prices {
        justify-content: space-between;
    }

    .breadcrums {
        font-size: 24px;
        margin-top: 40px;
        font-weight: 400;
    }

    .product-prices .value {
        font-size: 32px;
    }

    .product-policy-item {
        font-size: 14px;
    }

    .how-to-buy {
        height: 65px;
    }

    .product-detail-headers {
        font-size: 24px;
    }

    .product-detail .tab-content {
        font-size: 20px;
    }

    .similar-product-title {
        font-size: 24px;
        margin-top: 20px;
        font-weight: 400;
    }

    .retail-container .retail-headline {
        font-size: 32px;
        line-height: 32px;
    }

    .retail-container .retail-link {
        font-size: 24px;
    }

    .product-bar {
        display: block;
        position: fixed;
        top: 112px;
        left: 0;
        right: 0;
        z-index: 999;
        box-shadow: 0px 1px 4px 0px hsla(0, 0%, 0%, .08), 0px 0px 24px 0px hsla(0, 0%, 0%, .06);
        background-color: #fff;
        transform: translateY(calc(-100% - 5px));
        transition: transform 300ms ease;
    }

    .product-bar-image img, .product-bar-right img {
        height: 70px;
    }

    .product-bar-inner {
        margin-inline: var(--pc-margin-inline);
        display: flex;
    }
    .product-bar-inner > * {
        flex-basis: 50%;
        display: flex;
        justify-content: center;
        gap: 20px;
        padding-block: 10px;
    }

    .product-bar-prices,
    .product-bar-prices > * {
        display: flex;
        gap: 5px;
    }
    .product-bar-prices {
        gap: 15px;
    }

    .product-bar-left {
        align-items: center;
    }

    .product-bar-inner > :first-child {
        box-sizing: border-box;
        border-right: 1px solid #e6e6e6;
    }

    .product-bar-title {
        font-size: 20px;
        font-weight: 500;
    }
    .product-bar-prices .price-in, .product-bar-prices .price-out {
        font-size: 16px;
    }

    .product-bar-prices .price-in .label {
        color: #ff0404;
    }

    .product-bar-prices .price-out .label {
        color: #004DFF;
    }

    .policy-content a:hover {
        text-decoration: underline;
    }

    .product-detail-header .button-group {
        display: none;
    }
}
